# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'omniauth/yufu/version'

Gem::Specification.new do |spec|
  spec.name          = "omniauth-yufu"
  spec.version       = Omniauth::Yufu::VERSION
  spec.authors       = ["Zheng Li"]
  spec.email         = ["312528341@qq.com"]
  spec.description   = %q{An OmniAuth strategy to accept JWT-based single sign-on. Let the Ruby service provide to accetp the Yufu JWT idtonken.}
  spec.summary       = %q{An OmniAuth strategy to accept JWT-based single sign-on.}
  spec.homepage      = "http://github.com/SweenEy1130/omniauth-yufu"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake",    '~> 0'
  spec.add_development_dependency "rspec",   '~> 0'
  spec.add_development_dependency "guard",   '~> 0'
  spec.add_development_dependency "guard-rspec", '~> 0'
  spec.add_development_dependency "rack-test",   '~> 0'
  
  spec.add_dependency "jwt"   
  spec.add_dependency "omniauth", "~> 1.1"
end
